cURL
curl --request PATCH \
--url https://api.youappz.dev/teams/{teamIdOrSlug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Our mission is to make cloud computing accessible to everyone",
"emailDomain": "example.com",
"name": "my team",
"slug": "my-team"
}
'import requests
url = "https://api.youappz.dev/teams/{teamIdOrSlug}"
payload = {
"description": "Our mission is to make cloud computing accessible to everyone",
"emailDomain": "example.com",
"name": "my team",
"slug": "my-team"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Our mission is to make cloud computing accessible to everyone',
emailDomain: 'example.com',
name: 'my team',
slug: 'my-team'
})
};
fetch('https://api.youappz.dev/teams/{teamIdOrSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"avatar": "<string>",
"createdBy": 123,
"createdAt": 123,
"updatedAt": 123
}{
"code": 400,
"message": "One of the provided values in the request body/query is invalid"
}teams
Update a Team
Update the information of a Team specified by the teamId parameter. The request body should contain the information that will be updated on the Team.
PATCH
/
teams
/
{teamIdOrSlug}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Team identifier/slug to perform the request on behalf of.
Minimum string length:
3Example:
"team_LLHUOMOoDlqOp8wPE4kFo9pE"
Body
application/json
A short text that describes the team.
Maximum string length:
140Example:
"Our mission is to make cloud computing accessible to everyone"
Example:
"example.com"
The name of the Team
Maximum string length:
256Example:
"my team"
A new slug for the team
Example:
"my-team"
⌘I